%%%---------------------------------------
%%% module      : data_investment
%%% description : 投资活动配置
%%%
%%%---------------------------------------
-module(data_investment).
-compile(export_all).
-include("investment.hrl").



get_type(1,1) ->
    #base_investment_type{type = 1,name = <<"超值·成长投资"/utf8>>,level = 1,price = 288,price_type = 1,clear_type = 0,condition = [{lv,10}]};

get_type(1,2) ->
    #base_investment_type{type = 1,name = <<"超值·巅峰投资"/utf8>>,level = 2,price = 388,price_type = 1,clear_type = 0,condition = [{lv,120}]};

get_type(1,3) ->
    #base_investment_type{type = 1,name = <<"超值·日常投资"/utf8>>,level = 3,price = 688,price_type = 1,clear_type = 1,condition = [{lv,140}]};

get_type(2,1) ->
    #base_investment_type{type = 2,name = <<"豪华·成长投资"/utf8>>,level = 1,price = 1288,price_type = 1,clear_type = 0,condition = [{lv,10}]};

get_type(2,2) ->
    #base_investment_type{type = 2,name = <<"豪华·巅峰投资"/utf8>>,level = 2,price = 1688,price_type = 1,clear_type = 0,condition = [{lv,150}]};

get_type(2,3) ->
    #base_investment_type{type = 2,name = <<"豪华·日常投资"/utf8>>,level = 3,price = 1988,price_type = 1,clear_type = 1,condition = [{lv,180}]};

get_type(_Type,_Level) ->
    [].

get_all_investment_type() ->
    [1,2].

get_investment_max_lv(1) -> 3;
get_investment_max_lv(2) -> 3;
get_investment_max_lv(_Type) -> 0.

get_reward(1,1,1) ->
    #base_investment_reward{type = 1,level = 1,id = 1,rewards = [{2,0,288}],condition = []};

get_reward(1,1,2) ->
    #base_investment_reward{type = 1,level = 1,id = 2,rewards = [{2,0,168},{3,0,500}],condition = [{lv,80}]};

get_reward(1,1,3) ->
    #base_investment_reward{type = 1,level = 1,id = 3,rewards = [{2,0,168},{3,0,1000}],condition = [{lv,95}]};

get_reward(1,1,4) ->
    #base_investment_reward{type = 1,level = 1,id = 4,rewards = [{2,0,168},{3,0,500}],condition = [{lv,105}]};

get_reward(1,1,5) ->
    #base_investment_reward{type = 1,level = 1,id = 5,rewards = [{2,0,168},{3,0,500}],condition = [{lv,115}]};

get_reward(1,1,6) ->
    #base_investment_reward{type = 1,level = 1,id = 6,rewards = [{2,0,168},{3,0,1000}],condition = [{lv,125}]};

get_reward(1,1,7) ->
    #base_investment_reward{type = 1,level = 1,id = 7,rewards = [{2,0,168},{3,0,500}],condition = [{lv,130}]};

get_reward(1,1,8) ->
    #base_investment_reward{type = 1,level = 1,id = 8,rewards = [{2,0,168},{3,0,500}],condition = [{lv,150}]};

get_reward(1,1,9) ->
    #base_investment_reward{type = 1,level = 1,id = 9,rewards = [{2,0,328},{3,0,1500}],condition = [{lv,180}]};

get_reward(1,2,1) ->
    #base_investment_reward{type = 1,level = 2,id = 1,rewards = [{2,0,388}],condition = []};

get_reward(1,2,2) ->
    #base_investment_reward{type = 1,level = 2,id = 2,rewards = [{2,0,188},{3,0,1000}],condition = [{lv,200}]};

get_reward(1,2,3) ->
    #base_investment_reward{type = 1,level = 2,id = 3,rewards = [{2,0,188},{3,0,1000}],condition = [{lv,240}]};

get_reward(1,2,4) ->
    #base_investment_reward{type = 1,level = 2,id = 4,rewards = [{2,0,188},{3,0,1000}],condition = [{lv,290}]};

get_reward(1,2,5) ->
    #base_investment_reward{type = 1,level = 2,id = 5,rewards = [{2,0,188},{3,0,1000}],condition = [{lv,335}]};

get_reward(1,2,6) ->
    #base_investment_reward{type = 1,level = 2,id = 6,rewards = [{2,0,188},{3,0,1000}],condition = [{lv,370}]};

get_reward(1,2,7) ->
    #base_investment_reward{type = 1,level = 2,id = 7,rewards = [{2,0,188},{3,0,1000}],condition = [{lv,400}]};

get_reward(1,2,8) ->
    #base_investment_reward{type = 1,level = 2,id = 8,rewards = [{2,0,188},{3,0,1000}],condition = [{lv,420}]};

get_reward(1,2,9) ->
    #base_investment_reward{type = 1,level = 2,id = 9,rewards = [{2,0,188},{3,0,1000}],condition = [{lv,440}]};

get_reward(1,2,10) ->
    #base_investment_reward{type = 1,level = 2,id = 10,rewards = [{2,0,328},{3,0,2000}],condition = [{lv,460}]};

get_reward(1,3,1) ->
    #base_investment_reward{type = 1,level = 3,id = 1,rewards = [{2,0,688}],condition = []};

get_reward(1,3,2) ->
    #base_investment_reward{type = 1,level = 3,id = 2,rewards = [{2,0,208},{3,0,1000}],condition = [{day,2}]};

get_reward(1,3,3) ->
    #base_investment_reward{type = 1,level = 3,id = 3,rewards = [{2,0,208},{3,0,1000}],condition = [{day,3}]};

get_reward(1,3,4) ->
    #base_investment_reward{type = 1,level = 3,id = 4,rewards = [{2,0,208},{3,0,1000}],condition = [{day,4}]};

get_reward(1,3,5) ->
    #base_investment_reward{type = 1,level = 3,id = 5,rewards = [{2,0,208},{3,0,1000}],condition = [{day,5}]};

get_reward(1,3,6) ->
    #base_investment_reward{type = 1,level = 3,id = 6,rewards = [{2,0,208},{3,0,1000}],condition = [{day,6}]};

get_reward(1,3,7) ->
    #base_investment_reward{type = 1,level = 3,id = 7,rewards = [{2,0,268},{3,0,1000}],condition = [{day,7}]};

get_reward(1,3,8) ->
    #base_investment_reward{type = 1,level = 3,id = 8,rewards = [{2,0,208},{3,0,1000}],condition = [{day,8}]};

get_reward(1,3,9) ->
    #base_investment_reward{type = 1,level = 3,id = 9,rewards = [{2,0,208},{3,0,1000}],condition = [{day,9}]};

get_reward(1,3,10) ->
    #base_investment_reward{type = 1,level = 3,id = 10,rewards = [{2,0,208},{3,0,1000}],condition = [{day,10}]};

get_reward(1,3,11) ->
    #base_investment_reward{type = 1,level = 3,id = 11,rewards = [{2,0,288},{3,0,1000}],condition = [{day,11}]};

get_reward(1,3,12) ->
    #base_investment_reward{type = 1,level = 3,id = 12,rewards = [{2,0,208},{3,0,1000}],condition = [{day,12}]};

get_reward(1,3,13) ->
    #base_investment_reward{type = 1,level = 3,id = 13,rewards = [{2,0,208},{3,0,1000}],condition = [{day,13}]};

get_reward(1,3,14) ->
    #base_investment_reward{type = 1,level = 3,id = 14,rewards = [{2,0,888},{3,0,2000}],condition = [{day,14}]};

get_reward(2,1,1) ->
    #base_investment_reward{type = 2,level = 1,id = 1,rewards = [{2,0,1288}],condition = []};

get_reward(2,1,2) ->
    #base_investment_reward{type = 2,level = 1,id = 2,rewards = [{2,0,688}],condition = [{lv,80}]};

get_reward(2,1,3) ->
    #base_investment_reward{type = 2,level = 1,id = 3,rewards = [{2,0,688}],condition = [{lv,105}]};

get_reward(2,1,4) ->
    #base_investment_reward{type = 2,level = 1,id = 4,rewards = [{2,0,688}],condition = [{lv,120}]};

get_reward(2,1,5) ->
    #base_investment_reward{type = 2,level = 1,id = 5,rewards = [{2,0,688}],condition = [{lv,150}]};

get_reward(2,1,6) ->
    #base_investment_reward{type = 2,level = 1,id = 6,rewards = [{2,0,688}],condition = [{lv,210}]};

get_reward(2,1,7) ->
    #base_investment_reward{type = 2,level = 1,id = 7,rewards = [{2,0,688}],condition = [{lv,260}]};

get_reward(2,1,8) ->
    #base_investment_reward{type = 2,level = 1,id = 8,rewards = [{2,0,688}],condition = [{lv,300}]};

get_reward(2,1,9) ->
    #base_investment_reward{type = 2,level = 1,id = 9,rewards = [{2,0,1088}],condition = [{lv,335}]};

get_reward(2,1,10) ->
    #base_investment_reward{type = 2,level = 1,id = 10,rewards = [{2,0,688}],condition = [{lv,370}]};

get_reward(2,1,11) ->
    #base_investment_reward{type = 2,level = 1,id = 11,rewards = [{2,0,888}],condition = [{lv,400}]};

get_reward(2,1,12) ->
    #base_investment_reward{type = 2,level = 1,id = 12,rewards = [{2,0,688}],condition = [{lv,420}]};

get_reward(2,1,13) ->
    #base_investment_reward{type = 2,level = 1,id = 13,rewards = [{2,0,1288}],condition = [{lv,440}]};

get_reward(2,1,14) ->
    #base_investment_reward{type = 2,level = 1,id = 14,rewards = [{2,0,2288}],condition = [{lv,460}]};

get_reward(2,2,1) ->
    #base_investment_reward{type = 2,level = 2,id = 1,rewards = [{2,0,1688}],condition = []};

get_reward(2,2,2) ->
    #base_investment_reward{type = 2,level = 2,id = 2,rewards = [{2,0,888}],condition = [{lv,480}]};

get_reward(2,2,3) ->
    #base_investment_reward{type = 2,level = 2,id = 3,rewards = [{2,0,888}],condition = [{lv,500}]};

get_reward(2,2,4) ->
    #base_investment_reward{type = 2,level = 2,id = 4,rewards = [{2,0,888}],condition = [{lv,510}]};

get_reward(2,2,5) ->
    #base_investment_reward{type = 2,level = 2,id = 5,rewards = [{2,0,888}],condition = [{lv,520}]};

get_reward(2,2,6) ->
    #base_investment_reward{type = 2,level = 2,id = 6,rewards = [{2,0,888}],condition = [{lv,530}]};

get_reward(2,2,7) ->
    #base_investment_reward{type = 2,level = 2,id = 7,rewards = [{2,0,888}],condition = [{lv,540}]};

get_reward(2,2,8) ->
    #base_investment_reward{type = 2,level = 2,id = 8,rewards = [{2,0,888}],condition = [{lv,550}]};

get_reward(2,2,9) ->
    #base_investment_reward{type = 2,level = 2,id = 9,rewards = [{2,0,1288}],condition = [{lv,555}]};

get_reward(2,2,10) ->
    #base_investment_reward{type = 2,level = 2,id = 10,rewards = [{2,0,888}],condition = [{lv,560}]};

get_reward(2,2,11) ->
    #base_investment_reward{type = 2,level = 2,id = 11,rewards = [{2,0,1088}],condition = [{lv,565}]};

get_reward(2,2,12) ->
    #base_investment_reward{type = 2,level = 2,id = 12,rewards = [{2,0,888}],condition = [{lv,570}]};

get_reward(2,2,13) ->
    #base_investment_reward{type = 2,level = 2,id = 13,rewards = [{2,0,1688}],condition = [{lv,575}]};

get_reward(2,2,14) ->
    #base_investment_reward{type = 2,level = 2,id = 14,rewards = [{2,0,3288}],condition = [{lv,580}]};

get_reward(2,3,1) ->
    #base_investment_reward{type = 2,level = 3,id = 1,rewards = [{2,0,1988}],condition = []};

get_reward(2,3,2) ->
    #base_investment_reward{type = 2,level = 3,id = 2,rewards = [{2,0,998}],condition = [{day,2}]};

get_reward(2,3,3) ->
    #base_investment_reward{type = 2,level = 3,id = 3,rewards = [{2,0,998}],condition = [{day,3}]};

get_reward(2,3,4) ->
    #base_investment_reward{type = 2,level = 3,id = 4,rewards = [{2,0,998}],condition = [{day,4}]};

get_reward(2,3,5) ->
    #base_investment_reward{type = 2,level = 3,id = 5,rewards = [{2,0,998}],condition = [{day,5}]};

get_reward(2,3,6) ->
    #base_investment_reward{type = 2,level = 3,id = 6,rewards = [{2,0,998}],condition = [{day,6}]};

get_reward(2,3,7) ->
    #base_investment_reward{type = 2,level = 3,id = 7,rewards = [{2,0,998}],condition = [{day,7}]};

get_reward(2,3,8) ->
    #base_investment_reward{type = 2,level = 3,id = 8,rewards = [{2,0,998}],condition = [{day,8}]};

get_reward(2,3,9) ->
    #base_investment_reward{type = 2,level = 3,id = 9,rewards = [{2,0,1688}],condition = [{day,9}]};

get_reward(2,3,10) ->
    #base_investment_reward{type = 2,level = 3,id = 10,rewards = [{2,0,998}],condition = [{day,10}]};

get_reward(2,3,11) ->
    #base_investment_reward{type = 2,level = 3,id = 11,rewards = [{2,0,1288}],condition = [{day,11}]};

get_reward(2,3,12) ->
    #base_investment_reward{type = 2,level = 3,id = 12,rewards = [{2,0,998}],condition = [{day,12}]};

get_reward(2,3,13) ->
    #base_investment_reward{type = 2,level = 3,id = 13,rewards = [{2,0,1988}],condition = [{day,13}]};

get_reward(2,3,14) ->
    #base_investment_reward{type = 2,level = 3,id = 14,rewards = [{2,0,3988}],condition = [{day,14}]};

get_reward(_Type,_Level,_Id) ->
    [].

get_all_reward_id(1,1) ->
    [1,2,3,4,5,6,7,8,9];

get_all_reward_id(1,2) ->
    [1,2,3,4,5,6,7,8,9,10];

get_all_reward_id(1,3) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14];

get_all_reward_id(2,1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14];

get_all_reward_id(2,2) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14];

get_all_reward_id(2,3) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14];

get_all_reward_id(_Type,_Level) ->
    [].

